import * as React from "react";
import { VariantProps } from "class-variance-authority";
declare const buttonVariants: any;
interface IconProps {
    icon?: React.ReactElement;
    iconClasses?: string;
}
export interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement>, VariantProps<typeof buttonVariants>, IconProps {
    asChild?: boolean;
}
declare const _default: {
    Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
    buttonVariants: any;
};
export default _default;
